# Copyright (c) 2019 ZettaDB inc. All rights reserved.
# This source code is licensed under Apache 2.0 License,
# combined with Common Clause Condition 1.0, as detailed in the NOTICE file.

# MySQL client connection timeout in seconds
mysql_connect_timeout = 50

# MySQL client read timeout in seconds
mysql_read_timeout = 50

# MySQL client write timeout in seconds
mysql_write_timeout = 50

# MySQL async client read/write timeout in seconds
mysql_async_timeout = 10

# MySQL async client connect timeout in seconds
mysql_async_connect_timeout = 10

# MySQL client max packet size in bytes.
mysql_max_packet_size = 1073741824

#Number of worker threads to create and maintain.
num_worker_threads=3

# Interval in seconds a shard's two checks should be apart
check_shard_interval = 3

# Interval in seconds a thread waits after it finds no work to do.
thread_work_interval = 2

# Interval in seconds a thread waits next storage stats sync.
storage_sync_interval = 60

# Interval in hours a thread waits next commit_log clear.
commit_log_retention_hours = 24

# 100MB, if log grows larger than this it's rotated
max_log_file_size = 100

# meta server group seeds, note: no space in the middle of string
# only one seed in no_rep mode, must three or more seeds in mgr/rbr mode
meta_group_seeds = 192.168.0.128:57301,192.168.0.128:57304,192.168.0.128:57307

# meta data server user account
meta_user = clustmgr

# meta data server user's password 
meta_pwd = clustmgr_pwd

# cluster mgr http port
brpc_http_port = 8010

# log file path and name
log_file = ../log/sys_cluster_mgr

# log file path and name
cluster_mgr_tmp_data_path = ../data

# NO. of times a SQL statement is resent for execution when MySQL connection broken.
statement_retries = 5

# Interval in milli-seconds a statement is resent for execution when it fails and we believe MySQL node will be ready in a while.
statement_retry_interval_ms = 1000

# specify the raft group memeber config, comma seperate formation, must stop with comma
raft_group_member_init_config = 192.168.0.128:8110:0,

# raft server listen port
brpc_raft_port = 8110

skip_license_check = on

##################################################################
# for rbr_consfailover
rbr_consfailover_conf = ../conf/rbr_consfailover.cnf

# program_binaries_path
#program_binaries_path = ../../../../../program_binaries

# instance_binaries_path
#instance_binaries_path = ../../../../../instance_binaries

# storage_prog_package_name
#storage_prog_package_name = kunlun-storage-0.9.1

# computer_prog_package_name
#computer_prog_package_name = kunlun-server-0.9.1

# storage instance port start
#storage_instance_port_start = 57330

# computer instance port start
#computer_instance_port_start = 57030

# prometheus path
prometheus_path = ../../../../../program_binaries/prometheus

# prometheus port start
prometheus_port_start = 57010

# cluster_mgr ip
local_ip = 127.0.0.1

#The smaller the value, the higher the election priority of the current cluster_mgr instance.
brpc_raft_election_timeout_ms = 20000
